local TrackDefs = {}

--start of verse: these are played in order
--looping section of verse: first entry is always played first, then these are picked randomly 
--prechorus section: these are played in order
--chorus section: these are played in order
        
TrackDefs.MusicSets = 
{
    -- LEVEL 1
    {
        {
            { 'Track5_1_Verse', 15.0 },            
        },
        {
            { 'Track5_2_VerseLoop1', 15.0 },
        },
        { 
            { 'Track5_3_PreChorus', 15.938 },
        },
        { 
            { 'Track5_4_Chorus1', 15.0 },
        },
    },
    -- LEVEL 2    
    {
        {
            { 'Track2_1_Verse', 7.5 },            
        },
        {
            { 'Track2_2_VerseLoop1', 7.5 },
            { 'Track2_2_VerseLoop2', 7.5 },
            { 'Track2_2_VerseLoop3', 7.5 },
            { 'Track2_2_VerseLoop4', 7.5 },
        },
        { 
            { 'Track2_3_PreChorus', 15.0 },
        },
        { 
            { 'Track2_4_Chorus', 15.0 },
        },
    },   
    -- LEVEL 3    
    {
        {
            { 'Track8_1_Intro', 7.5 },            
        },
        {
            { 'Track8_2_Verse', 7.5 },
            { 'Track8_2_Verse2', 7.5 },
        },
        { 
            { 'Track8_3_PreChorus', 15.0 },
        },
        { 
            { 'Track8_4_Chorus', 22.5 },
        },
    },    
    -- LEVEL 4    
    {
        {
            { 'Track3_1_Verse', 15.0 },            
        },
        {
            { 'Track3_2_VerseLoop1', 15.0 },
        },
        { 
            { 'Track3_3_PreChorus', 22.5 },
        },
        { 
            { 'Track3_4_Chorus1', 15.0 },
        },
    },     
    -- LEVEL 5    
    {
        { 
            { 'Track10_1_Intro', 7.5 }, 
        },               
        { 
            { 'Track10_2_Verse', 15.0 }, 
        }, 
        { 
            { 'Track10_3_PreChorus', 15.0}, 
        },   
        { 
            { 'Track10_4_Chorus', 18.750 }, 
        },
    },     
    -- LEVEL 6    
    {
        {
            { 'Track7_1_Intro', 3.75 },            
        },
        {
            { 'Track7_2_Verse', 7.5 },
            { 'Track7_2_Verse2', 7.5 },
        },
        { 
            { 'Track7_3_PreChorus', 15.0 },
        },
        { 
            { 'Track7_4_Chorus', 15.0 },
        },     
    },    
    -- LEVEL 7    
    {
        {
            { 'Track11_1_Intro', 24.375 },               
        },
        {
            { 'Track11_2_Verse', 15.0 },
        },
        { 
            { 'Track11_3_PreChorus', 15.0 },
        },
        { 
            { 'Track11_4_Chorus', 15.0 },
        }, 
    },      
    -- LEVEL 8    
    {
        {
            { 'Track4_1_Verse', 15.0 },            
        },
        {
            { 'Track4_2_VerseLoop1', 15.0 },
            { 'Track4_2_VerseLoop2', 15.0 },
            { 'Track4_2_VerseLoop3', 15.0 },
        },
        { 
            { 'Track4_3_PreChorus', 22.5 },
        },
        { 
            { 'Track4_4_Chorus1', 15.0 }
        },
    },    
    -- LEVEL 9    
    {
        {
            { 'Track6_1_Intro', 7.5 },            
        },
        {
            { 'Track6_2_Verse', 7.5 },
        },
        { 
            { 'Track6_3_PreChorus', 15.0 },
        },
        { 
            { 'Track6_4_Chorus', 15.0 },
        },
    },    
    -- LEVEL 10    
    {
        {
            { 'Track1_1_Verse', 15.0 },     
        },
        {
            { 'Track1_2_VerseLoop1', 7.5 },
            { 'Track1_2_VerseLoop2', 7.5 },
        },
        { 
            { 'Track1_3_PreChorus', 30.0 },
        },
        { 
            { 'Track1_4_Chorus1', 15.0 },
        },
    },      
}

TrackDefs.FullMixSets = 
{
    {
        { { 'Track1_1_Verse', 15.0 }, },     
        { { 'Track1_2_VerseLoop1', 7.5 }, },   
        { { 'Track1_3_PreChorus', 30.0 }, },   
        { { 'Track1_4_Chorus1', 15.0 }, },   
        { { 'Track1_4a_BridgeIntoChorus', 22.5 }, },   
        { { 'Track1_5_SuperChorus', 15.0 }, },   
    },
    {
        { { 'Track2_1_Verse', 7.5 }, },               
        { { 'Track2_2_VerseLoop1', 7.5 }, },   
        { { 'Track2_3_PreChorus', 15.0 }, },   
        { { 'Track2_4_Chorus', 15.0 }, },   
        { { 'Track2_5_Bridge', 15.0 }, },   
        { { 'Track2_6_SuperChorus', 15.0 }, },   
    },     
    {
        { { 'Track3_1_Verse', 15.0 }, },               
        { { 'Track3_2_VerseLoop1', 15.0 }, },   
        { { 'Track3_3_PreChorus', 22.5 }, },   
        { { 'Track3_4_Chorus1', 15.0 }, },   
        { { 'Track3_5_Bridge', 22.5 }, },   
        { { 'Track3_6_SuperChorus', 30.0 }, },   
    },      
    {
        { { 'Track4_1_Verse', 15.0 }, },               
        { { 'Track4_2_VerseLoop1', 15.0 }, },   
        { { 'Track4_3_PreChorus', 22.5 }, },   
        { { 'Track4_4_Chorus1', 15.0 }, { 'Track4_4_Chorus2', 15.0 }, },   
        { { 'Track4_5_Bridge', 30.0 }, },   
        { { 'Track4_6_SuperChorus', 30.0 }, },   
    },
    {
        { { 'Track5_1_Verse', 15.0 }, },               
        { { 'Track5_2_VerseLoop1', 15.0 }, },   
        { { 'Track5_3_PreChorus', 15.938 }, },   
        { { 'Track5_4_Chorus1', 15.0 }, },   
        { { 'Track5_5_Bridge', 15.938 }, },   
        { { 'Track5_6_SuperChorus', 33.750 }, },   
    },   
    {
        { { 'Track6_1_Intro', 7.5 }, },               
        { { 'Track6_2_Verse', 7.5 }, },   
        { { 'Track6_3_PreChorus', 15.0 }, },   
        { { 'Track6_4_Chorus', 15.0 }, },   
        { { 'Track6_5_Bridge', 22.5 }, },   
        { { 'Track6_6_SuperChorus', 33.0 }, },   
    },   
    {
        { { 'Track7_1_Intro', 3.75 }, },               
        { { 'Track7_2_Verse', 7.5 }, { 'Track7_2_Verse2', 7.5 }, },   
        { { 'Track7_3_PreChorus', 15.0 }, },   
        { { 'Track7_4_Chorus', 15.0 }, },   
        { { 'Track7_5_Tag', 15.0 }, { 'Track7_6_Bridge', 15.0 }, },   
        { { 'Track7_7_SuperChorus', 37.5 }, },   
    },     
    {
        { { 'Track8_1_Intro', 7.5 }, },               
        { { 'Track8_2_Verse', 7.5 }, { 'Track8_2_Verse2', 7.5 }, },   
        { { 'Track8_3_PreChorus', 15.0 }, },   
        { { 'Track8_4_Chorus', 22.5 }, },   
        { { 'Track8_5_Bridge', 15.0 }, },   
        { { 'Track8_6_SuperChorus', 26.25 }, },   
    }, 
    {
        { { 'Track11_1_Intro', 24.375 }, },               
        { { 'Track11_2_Verse', 15.0 }, }, 
        { { 'Track11_3_PreChorus', 15.0 }, },   
        { { 'Track11_4_Chorus', 15.0 }, },   
        { { 'Track11_5_Bridge', 5.625 }, },   
        { { 'Track11_6_SuperChorus1', 15.0}, { 'Track11_6_SuperChorus2', 15.0}, },   
    }, 
    {  
        { { 'Track10_1_Intro', 7.5 }, },               
        { { 'Track10_2_Verse', 15.0 }, }, 
        { { 'Track10_3_PreChorus', 15.0}, },   
        { { 'Track10_4_Chorus', 18.750 }, },   
        { { 'Track10_5_Bridge', 15.0 }, },   
        { { 'Track10_6_SuperChorus', 18.750}, },   
    }, 
}

return TrackDefs