uniform mediump float g_fFlowPulseFreq;
uniform mediump float g_fFlowIntensity;
uniform mediump float g_fTime;
uniform mediump vec4 g_vColor;
uniform mediump vec2 g_vScale;
uniform mediump vec2 g_vOffset;
uniform sampler2D g_samFlow;
uniform sampler2D g_samAccum;
uniform sampler2D sampler;
varying mediump vec2 uvVarying;
varying lowp vec4 colorVarying;
void main ()
{
  lowp vec4 accum_1;
  lowp vec4 color_2;
  color_2.xyz = texture2D (sampler, uvVarying).xyz;
  mediump vec2 TexBase_3;
  TexBase_3 = (uvVarying - vec2(0.500000, 0.500000));
  mediump float fRotationAmount_4;
  fRotationAmount_4 = (g_fTime * 0.300000);
  mediump float tmpvar_5;
  tmpvar_5 = sin(fRotationAmount_4);
  mediump float tmpvar_6;
  tmpvar_6 = cos(fRotationAmount_4);
  mediump vec2 tmpvar_7;
  tmpvar_7.x = ((tmpvar_6 * TexBase_3.x) - (tmpvar_5 * TexBase_3.y));
  tmpvar_7.y = ((tmpvar_5 * TexBase_3.x) + (tmpvar_6 * TexBase_3.y));
  mediump vec2 tmpvar_8;
  tmpvar_8 = (tmpvar_7 + vec2(0.500000, 0.500000));
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (g_samFlow, tmpvar_8);
  mediump vec2 tmpvar_10;
  tmpvar_10 = (((((uvVarying - vec2(0.500000, 0.500000)) * g_vScale) + vec2(0.500000, 0.500000)) + g_vOffset) + (((tmpvar_9.xy - 0.500000) * g_fFlowIntensity) * cos((g_fTime * g_fFlowPulseFreq))));
  accum_1.xyz = texture2D (g_samAccum, tmpvar_10).xyz;
  accum_1.w = 1.00000;
  color_2.w = 1.00000;
  gl_FragColor = (color_2 + ((accum_1 * colorVarying) * g_vColor));
}

