varying lowp vec4 animLerpVposVarying;
varying mediump vec4 uvVarying;
varying lowp vec4 colorVarying;
uniform vec3 g_ParticleAnimFrames;
uniform vec3 g_vLightColorBottom;
uniform vec3 g_vLightColorTop;
uniform float g_fParticle3DRotation;
uniform mat4 g_mVertexPositions;
uniform vec2 g_vParticlePivot;
uniform float g_fSystemScale;
uniform vec4 g_vColor;
uniform mat4 g_mViewProj;
uniform vec3 g_vParticleToWorld;
attribute vec4 rot3dAnimDispUser;
attribute vec4 color;
attribute vec4 velocityRotation;
attribute vec4 scaleIncandVid;
attribute vec4 positionNormAge;
void main ()
{
  lowp float animLerp_1;
  mediump vec4 vColor_2;
  mediump vec3 vPos_3;
  int tmpvar_4;
  tmpvar_4 = int(scaleIncandVid.w);
  vec2 tmpvar_5;
  tmpvar_5 = g_mVertexPositions[tmpvar_4].xy;
  mediump vec3 tmpvar_6;
  tmpvar_6.z = 0.000000;
  tmpvar_6.xy = (tmpvar_5 + g_vParticlePivot);
  vPos_3.z = tmpvar_6.z;
  vPos_3.x = (tmpvar_6.x * scaleIncandVid.x);
  vPos_3.y = ((tmpvar_6.y * scaleIncandVid.x) * scaleIncandVid.y);
  float tmpvar_7;
  tmpvar_7 = (velocityRotation.w * 0.0174533);
  mediump float tmpvar_8;
  tmpvar_8 = sin(tmpvar_7);
  mediump float tmpvar_9;
  tmpvar_9 = cos(tmpvar_7);
  mediump mat2 tmpvar_10;
  tmpvar_10[0].x = tmpvar_9;
  tmpvar_10[0].y = -(tmpvar_8);
  tmpvar_10[1].x = tmpvar_8;
  tmpvar_10[1].y = tmpvar_9;
  mediump vec3 tmpvar_11;
  tmpvar_11.xy = (vPos_3.xy * tmpvar_10);
  tmpvar_11.z = vPos_3.z;
  vPos_3 = tmpvar_11;
  float tmpvar_12;
  tmpvar_12 = (g_fParticle3DRotation * (velocityRotation.w * 0.0174533));
  mediump float tmpvar_13;
  tmpvar_13 = sin(tmpvar_12);
  mediump float tmpvar_14;
  tmpvar_14 = cos(tmpvar_12);
  mediump vec3 tmpvar_15;
  tmpvar_15.z = 0.000000;
  tmpvar_15.x = tmpvar_14;
  tmpvar_15.y = tmpvar_13;
  mediump vec3 tmpvar_16;
  tmpvar_16.z = 0.000000;
  tmpvar_16.x = -(tmpvar_13);
  tmpvar_16.y = tmpvar_14;
  float tmpvar_17;
  tmpvar_17 = (g_fParticle3DRotation * rot3dAnimDispUser.x);
  mediump float tmpvar_18;
  tmpvar_18 = sin(tmpvar_17);
  mediump float tmpvar_19;
  tmpvar_19 = cos(tmpvar_17);
  mediump mat3 tmpvar_20;
  tmpvar_20[0].x = tmpvar_19;
  tmpvar_20[0].y = 0.000000;
  tmpvar_20[0].z = tmpvar_18;
  tmpvar_20[1].x = 0.000000;
  tmpvar_20[1].y = 1.00000;
  tmpvar_20[1].z = 0.000000;
  tmpvar_20[2].x = -(tmpvar_18);
  tmpvar_20[2].y = 0.000000;
  tmpvar_20[2].z = tmpvar_19;
  mediump mat3 tmpvar_21;
  tmpvar_21[0] = (tmpvar_15 * tmpvar_20);
  tmpvar_21[1] = (tmpvar_16 * tmpvar_20);
  tmpvar_21[2] = (vec3(0.000000, 0.000000, 1.00000) * tmpvar_20);
  mediump vec3 tmpvar_22;
  tmpvar_22.z = 0.000000;
  tmpvar_22.xy = tmpvar_11.xy;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = (tmpvar_22 * tmpvar_21).xy;
  tmpvar_23.z = tmpvar_11.z;
  vec4 tmpvar_24;
  tmpvar_24 = (color * g_vColor);
  vColor_2.w = tmpvar_24.w;
  vColor_2.xyz = ((tmpvar_24.xyz * mix (g_vLightColorTop, g_vLightColorBottom, clamp (((normalize(-(tmpvar_21[2])).y + 1.00000) * 0.500000), 0.000000, 1.00000))) + (tmpvar_24.xyz * scaleIncandVid.z));
  mediump vec4 tmpvar_25;
  tmpvar_25.w = 1.00000;
  tmpvar_25.xyz = ((((tmpvar_23 + positionNormAge.xyz) * g_fSystemScale) + g_vParticleToWorld) * 300.000);
  mediump vec4 tmpvar_26;
  tmpvar_26 = (tmpvar_25 * g_mViewProj);
  gl_Position = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27.zw = vec2(0.000000, 0.000000);
  tmpvar_27.xy = (tmpvar_5 + 0.500000);
  mediump float fLerpAmount_28;
  mediump vec4 vFrameUVs_29;
  mediump float fFrame_30;
  lowp float tmpvar_31;
  tmpvar_31 = (rot3dAnimDispUser.y * g_ParticleAnimFrames.x);
  fFrame_30 = tmpvar_31;
  mediump float tmpvar_32;
  tmpvar_32 = floor(fFrame_30);
  lowp float fFrameIndex_33;
  fFrameIndex_33 = tmpvar_32;
  mediump vec2 vFrameOffset_34;
  lowp float tmpvar_35;
  tmpvar_35 = (float(mod (fFrameIndex_33, g_ParticleAnimFrames.x)));
  fFrameIndex_33 = tmpvar_35;
  lowp float tmpvar_36;
  tmpvar_36 = (float(mod (tmpvar_35, g_ParticleAnimFrames.y)));
  vFrameOffset_34.x = tmpvar_36;
  lowp float tmpvar_37;
  tmpvar_37 = floor((tmpvar_35 / g_ParticleAnimFrames.y));
  vFrameOffset_34.y = tmpvar_37;
  vFrameUVs_29.xy = ((vFrameOffset_34 + tmpvar_27.xy) * g_ParticleAnimFrames.z);
  animLerp_1 = fLerpAmount_28;
  uvVarying = vFrameUVs_29;
  colorVarying = vColor_2;
  mediump vec4 tmpvar_38;
  tmpvar_38.w = 0.000000;
  tmpvar_38.x = animLerp_1;
  tmpvar_38.yz = vec2(0.000000, 0.000000);
  animLerpVposVarying = tmpvar_38;
}

