varying lowp vec4 animLerpVposVarying;
varying mediump vec4 uvVarying;
varying lowp vec4 colorVarying;
uniform vec3 g_ParticleAnimFrames;
uniform vec3 g_vLightColorBottom;
uniform vec3 g_vLightColorTop;
uniform float g_fParticle3DRotation;
uniform mat4 g_mVertexPositions;
uniform vec2 g_vParticlePivot;
uniform float g_fSystemScale;
uniform vec4 g_vColor;
uniform mat4 g_mViewProj;
uniform vec3 g_vParticleToWorld;
attribute vec4 rot3dAnimDispUser;
attribute vec4 color;
attribute vec4 velocityRotation;
attribute vec4 scaleIncandVid;
attribute vec4 positionNormAge;
void main ()
{
  lowp float animLerp_1;
  mediump vec4 vColor_2;
  mediump vec3 vPos_3;
  int tmpvar_4;
  tmpvar_4 = int(scaleIncandVid.w);
  vec2 tmpvar_5;
  tmpvar_5 = g_mVertexPositions[tmpvar_4].xy;
  mediump vec3 tmpvar_6;
  tmpvar_6.z = 0.000000;
  tmpvar_6.xy = (tmpvar_5 + g_vParticlePivot);
  vPos_3.z = tmpvar_6.z;
  vPos_3.x = (tmpvar_6.x * scaleIncandVid.x);
  vPos_3.y = ((tmpvar_6.y * scaleIncandVid.x) * scaleIncandVid.y);
  float tmpvar_7;
  tmpvar_7 = (g_fParticle3DRotation * (velocityRotation.w * 0.0174533));
  mediump float tmpvar_8;
  tmpvar_8 = sin(tmpvar_7);
  mediump float tmpvar_9;
  tmpvar_9 = cos(tmpvar_7);
  mediump vec3 tmpvar_10;
  tmpvar_10.z = 0.000000;
  tmpvar_10.x = tmpvar_9;
  tmpvar_10.y = tmpvar_8;
  mediump vec3 tmpvar_11;
  tmpvar_11.z = 0.000000;
  tmpvar_11.x = -(tmpvar_8);
  tmpvar_11.y = tmpvar_9;
  float tmpvar_12;
  tmpvar_12 = (g_fParticle3DRotation * rot3dAnimDispUser.x);
  mediump float tmpvar_13;
  tmpvar_13 = sin(tmpvar_12);
  mediump float tmpvar_14;
  tmpvar_14 = cos(tmpvar_12);
  mediump mat3 tmpvar_15;
  tmpvar_15[0].x = tmpvar_14;
  tmpvar_15[0].y = 0.000000;
  tmpvar_15[0].z = tmpvar_13;
  tmpvar_15[1].x = 0.000000;
  tmpvar_15[1].y = 1.00000;
  tmpvar_15[1].z = 0.000000;
  tmpvar_15[2].x = -(tmpvar_13);
  tmpvar_15[2].y = 0.000000;
  tmpvar_15[2].z = tmpvar_14;
  mediump mat3 tmpvar_16;
  tmpvar_16[0] = (tmpvar_10 * tmpvar_15);
  tmpvar_16[1] = (tmpvar_11 * tmpvar_15);
  tmpvar_16[2] = (vec3(0.000000, 0.000000, 1.00000) * tmpvar_15);
  mediump vec3 tmpvar_17;
  tmpvar_17.z = 0.000000;
  tmpvar_17.xy = vPos_3.xy;
  mediump vec3 tmpvar_18;
  tmpvar_18.xy = (tmpvar_17 * tmpvar_16).xy;
  tmpvar_18.z = vPos_3.z;
  vec4 tmpvar_19;
  tmpvar_19 = (color * g_vColor);
  vColor_2.w = tmpvar_19.w;
  vColor_2.xyz = ((tmpvar_19.xyz * mix (g_vLightColorTop, g_vLightColorBottom, clamp (((normalize(-(tmpvar_16[2])).y + 1.00000) * 0.500000), 0.000000, 1.00000))) + (tmpvar_19.xyz * scaleIncandVid.z));
  mediump vec4 tmpvar_20;
  tmpvar_20.w = 1.00000;
  tmpvar_20.xyz = ((((tmpvar_18 + positionNormAge.xyz) * g_fSystemScale) + g_vParticleToWorld) * 300.000);
  mediump vec4 tmpvar_21;
  tmpvar_21 = (tmpvar_20 * g_mViewProj);
  gl_Position = tmpvar_21;
  mediump vec4 tmpvar_22;
  tmpvar_22.zw = vec2(0.000000, 0.000000);
  tmpvar_22.xy = (tmpvar_5 + 0.500000);
  mediump vec4 vFrameUVs_23;
  mediump float fFrame_24;
  lowp float tmpvar_25;
  tmpvar_25 = (rot3dAnimDispUser.y * g_ParticleAnimFrames.x);
  fFrame_24 = tmpvar_25;
  mediump float tmpvar_26;
  tmpvar_26 = floor(fFrame_24);
  lowp float fFrameIndex_27;
  fFrameIndex_27 = tmpvar_26;
  mediump vec2 vFrameOffset_28;
  lowp float tmpvar_29;
  tmpvar_29 = (float(mod (fFrameIndex_27, g_ParticleAnimFrames.x)));
  fFrameIndex_27 = tmpvar_29;
  lowp float tmpvar_30;
  tmpvar_30 = (float(mod (tmpvar_29, g_ParticleAnimFrames.y)));
  vFrameOffset_28.x = tmpvar_30;
  lowp float tmpvar_31;
  tmpvar_31 = floor((tmpvar_29 / g_ParticleAnimFrames.y));
  vFrameOffset_28.y = tmpvar_31;
  vFrameUVs_23.xy = ((vFrameOffset_28 + tmpvar_22.xy) * g_ParticleAnimFrames.z);
  lowp float fFrameIndex_32;
  fFrameIndex_32 = (tmpvar_26 + 1.00000);
  mediump vec2 vFrameOffset_33;
  lowp float tmpvar_34;
  tmpvar_34 = (float(mod (fFrameIndex_32, g_ParticleAnimFrames.x)));
  fFrameIndex_32 = tmpvar_34;
  lowp float tmpvar_35;
  tmpvar_35 = (float(mod (tmpvar_34, g_ParticleAnimFrames.y)));
  vFrameOffset_33.x = tmpvar_35;
  lowp float tmpvar_36;
  tmpvar_36 = floor((tmpvar_34 / g_ParticleAnimFrames.y));
  vFrameOffset_33.y = tmpvar_36;
  vFrameUVs_23.zw = ((vFrameOffset_33 + tmpvar_22.xy) * g_ParticleAnimFrames.z);
  mediump float tmpvar_37;
  tmpvar_37 = (float(mod (fFrame_24, 1.00000)));
  animLerp_1 = tmpvar_37;
  uvVarying = vFrameUVs_23;
  colorVarying = vColor_2;
  mediump vec4 tmpvar_38;
  tmpvar_38.w = 0.000000;
  tmpvar_38.x = animLerp_1;
  tmpvar_38.yz = vec2(0.000000, 0.000000);
  animLerpVposVarying = tmpvar_38;
}

