MOAILogMgr.setLogLevel ( MOAILogMgr.LOG_STATUS )

MOAILogMgr.registerLogMessage ( MOAILogMgr.MOAI_FileNotFound_S, 'File not found: %s' )
MOAILogMgr.registerLogMessage ( MOAILogMgr.MOAI_IndexNoReserved, 'Nothing reserved' )
MOAILogMgr.registerLogMessage ( MOAILogMgr.MOAI_IndexOutOfRange_DDD, 'Index %d is out of acceptable range [%d, %d]' )
MOAILogMgr.registerLogMessage ( MOAILogMgr.MOAI_NewIsUnsupported, 'Method \'new\' is unsupported. Instances of this class are created by the engine or through another interface.' )
MOAILogMgr.registerLogMessage ( MOAILogMgr.MOAI_ParamTypeMismatch, 'Param type mismatch; check function call' )

MOAILogMgr.registerLogMessage ( MOAILogMgr.MOAINode_AttributeNotFound, 'No such attribute' )

if MOAIEnvironment.osBrand == "iOS" then
	package.path = "Data/Scripts/?.lua;"
elseif MOAIEnvironment.osBrand == "Android" then
    -- Keeping the directories disjoint simplifies dev_sync.py
    -- (/sdcard filesystem doesn't support symlinks!), and eliminates the
    -- possibility of filename conflicts if someone submits eg
    -- PROJ/Data/Scripts/moai/util.lua
    package.path = "Data/Scripts/?.lua;CommonLua/?.lua;MoaiLua/?.lua"
elseif MOAIEnvironment.osBrand == "OSX" then
	package.path = "Data/Scripts/?.lua;../Common/Code/Lua/?.lua;../Common/Code/Moai/src/lua-modules/?.lua"
elseif MOAIEnvironment.osBrand == "Linux" then
    package.path = "Data/Scripts/?.lua;../Common/Code/Lua/?.lua;../Common/Code/Moai/src/lua-modules/?.lua"
elseif MOAIEnvironment.osBrand == "Windows" then
	package.path = "Data/Scripts/?.lua;../Common/Code/Lua/?.lua;../Common/Code/Moai/src/lua-modules/?.lua"
    MOAIEnvironment.appID = 'com.doublefine.rad'
    MOAIEnvironment.appDisplayName = 'Dropchord'
    MOAIEnvironment.appVersion = "1.0.0"
    MOAIEnvironment.appBuild = "1"
    MOAIEnvironment.documentDirectory = MOAIEnvironment.documentDirectory.."/"..MOAIEnvironment.appDisplayName
    MOAIEnvironment.connectionType = MOAIEnvironment.CONNECTION_TYPE_WIFI
else
    print("Unrecognized OS brand '" .. MOAIEnvironment.osBrand .. '"')
end
