varying lowp vec4 animLerpVposVarying;
varying mediump vec4 uvVarying;
varying lowp vec4 colorVarying;
uniform vec3 g_ParticleAnimFrames;
uniform vec3 g_vLightColorBottom;
uniform vec3 g_vLightColorTop;
uniform float g_fParticle3DRotation;
uniform mat4 g_mVertexPositions;
uniform vec2 g_vParticlePivot;
uniform float g_fSystemScale;
uniform vec4 g_vColor;
uniform mat4 g_mViewProj;
uniform vec3 g_vParticleToWorld;
attribute vec4 rot3dAnimDispUser;
attribute vec4 color;
attribute vec4 velocityRotation;
attribute vec4 scaleIncandVid;
attribute vec4 positionNormAge;
void main ()
{
  mediump vec2 vNormScreenPos_1;
  lowp float animLerp_2;
  mediump vec4 vColor_3;
  mediump vec3 vPos_4;
  int tmpvar_5;
  tmpvar_5 = int(scaleIncandVid.w);
  vec2 tmpvar_6;
  tmpvar_6 = g_mVertexPositions[tmpvar_5].xy;
  mediump vec3 tmpvar_7;
  tmpvar_7.z = 0.000000;
  tmpvar_7.xy = (tmpvar_6 + g_vParticlePivot);
  vPos_4.z = tmpvar_7.z;
  vPos_4.x = (tmpvar_7.x * scaleIncandVid.x);
  vPos_4.y = ((tmpvar_7.y * scaleIncandVid.x) * scaleIncandVid.y);
  float tmpvar_8;
  tmpvar_8 = (g_fParticle3DRotation * (velocityRotation.w * 0.0174533));
  mediump float tmpvar_9;
  tmpvar_9 = sin(tmpvar_8);
  mediump float tmpvar_10;
  tmpvar_10 = cos(tmpvar_8);
  mediump vec3 tmpvar_11;
  tmpvar_11.z = 0.000000;
  tmpvar_11.x = tmpvar_10;
  tmpvar_11.y = tmpvar_9;
  mediump vec3 tmpvar_12;
  tmpvar_12.z = 0.000000;
  tmpvar_12.x = -(tmpvar_9);
  tmpvar_12.y = tmpvar_10;
  float tmpvar_13;
  tmpvar_13 = (g_fParticle3DRotation * rot3dAnimDispUser.x);
  mediump float tmpvar_14;
  tmpvar_14 = sin(tmpvar_13);
  mediump float tmpvar_15;
  tmpvar_15 = cos(tmpvar_13);
  mediump mat3 tmpvar_16;
  tmpvar_16[0].x = tmpvar_15;
  tmpvar_16[0].y = 0.000000;
  tmpvar_16[0].z = tmpvar_14;
  tmpvar_16[1].x = 0.000000;
  tmpvar_16[1].y = 1.00000;
  tmpvar_16[1].z = 0.000000;
  tmpvar_16[2].x = -(tmpvar_14);
  tmpvar_16[2].y = 0.000000;
  tmpvar_16[2].z = tmpvar_15;
  mediump mat3 tmpvar_17;
  tmpvar_17[0] = (tmpvar_11 * tmpvar_16);
  tmpvar_17[1] = (tmpvar_12 * tmpvar_16);
  tmpvar_17[2] = (vec3(0.000000, 0.000000, 1.00000) * tmpvar_16);
  mediump vec3 tmpvar_18;
  tmpvar_18.z = 0.000000;
  tmpvar_18.xy = vPos_4.xy;
  mediump vec3 tmpvar_19;
  tmpvar_19.xy = (tmpvar_18 * tmpvar_17).xy;
  tmpvar_19.z = vPos_4.z;
  vec4 tmpvar_20;
  tmpvar_20 = (color * g_vColor);
  vColor_3.w = tmpvar_20.w;
  mediump vec3 tmpvar_21;
  tmpvar_21.z = 0.000000;
  tmpvar_21.x = vPos_4.x;
  tmpvar_21.y = vPos_4.y;
  vColor_3.xyz = ((tmpvar_20.xyz * mix (g_vLightColorTop, g_vLightColorBottom, clamp (((normalize((normalize(velocityRotation.xyz) + (0.300000 * (normalize(tmpvar_21) * tmpvar_17)))).y + 1.00000) * 0.500000), 0.000000, 1.00000))) + (tmpvar_20.xyz * scaleIncandVid.z));
  mediump vec4 tmpvar_22;
  tmpvar_22.w = 1.00000;
  tmpvar_22.xyz = ((((tmpvar_19 + positionNormAge.xyz) * g_fSystemScale) + g_vParticleToWorld) * 300.000);
  mediump vec4 tmpvar_23;
  tmpvar_23 = (tmpvar_22 * g_mViewProj);
  gl_Position = tmpvar_23;
  mediump vec4 tmpvar_24;
  tmpvar_24.zw = vec2(0.000000, 0.000000);
  tmpvar_24.xy = (tmpvar_6 + 0.500000);
  mediump float fLerpAmount_25;
  mediump vec4 vFrameUVs_26;
  mediump float fFrame_27;
  lowp float tmpvar_28;
  tmpvar_28 = (rot3dAnimDispUser.y * g_ParticleAnimFrames.x);
  fFrame_27 = tmpvar_28;
  mediump float tmpvar_29;
  tmpvar_29 = floor(fFrame_27);
  lowp float fFrameIndex_30;
  fFrameIndex_30 = tmpvar_29;
  mediump vec2 vFrameOffset_31;
  lowp float tmpvar_32;
  tmpvar_32 = (float(mod (fFrameIndex_30, g_ParticleAnimFrames.x)));
  fFrameIndex_30 = tmpvar_32;
  lowp float tmpvar_33;
  tmpvar_33 = (float(mod (tmpvar_32, g_ParticleAnimFrames.y)));
  vFrameOffset_31.x = tmpvar_33;
  lowp float tmpvar_34;
  tmpvar_34 = floor((tmpvar_32 / g_ParticleAnimFrames.y));
  vFrameOffset_31.y = tmpvar_34;
  vFrameUVs_26.xy = ((vFrameOffset_31 + tmpvar_24.xy) * g_ParticleAnimFrames.z);
  animLerp_2 = fLerpAmount_25;
  mediump vec2 tmpvar_35;
  tmpvar_35 = (((tmpvar_23.xy / tmpvar_23.w) + 1.00000) * 0.500000);
  vNormScreenPos_1.x = tmpvar_35.x;
  vNormScreenPos_1.y = (1.00000 - tmpvar_35.y);
  uvVarying = vFrameUVs_26;
  colorVarying = vColor_3;
  mediump vec4 tmpvar_36;
  tmpvar_36.w = 0.000000;
  tmpvar_36.x = animLerp_2;
  tmpvar_36.yz = vNormScreenPos_1;
  animLerpVposVarying = tmpvar_36;
}

